> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Add a driver

POST https://ssuccessv2.com/app/api/v1/bussing/driver/create
Content-Type: application/json

Creates a transportation driver and, when supplied, associates one or more structured addresses with the driver.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-drivers/create-bussing-driver

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `phone` (string, optional, nullable)
- `email` (string, optional, nullable)
- `address` (list of ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItems, optional)

## Response

### 200

Driver created.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1BussingDriverCreatePostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

User cannot create bussing records.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Invalid driver or address data.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItems

- `splitted` (ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItemsSplitted, required)
- `_id` (string, optional)
- `components` (list of ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItemsComponentsItems, optional)
- `formatted` (string, optional, nullable)
- `latitude` (double, optional)
- `longitude` (double, optional)
- `tag` (string, optional, nullable)

### ApiV1BussingDriverCreatePostResponsesContentApplicationJsonSchemaData

### ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItemsSplitted

- `zip` (string, optional)
- `country` (string, optional)
- `state` (string, optional)
- `city` (string, optional)
- `address_line_1` (string, optional)
- `address_line_2` (string, optional)

### ApiV1BussingDriverCreatePostRequestBodyContentApplicationJsonSchemaAddressItemsComponentsItems

## Examples

**Request**

```json
{
  "name": "Maria Rodriguez",
  "phone": "+1-555-0142",
  "email": "maria.rodriguez@example.com",
  "address": [
    {
      "splitted": {
        "zip": "10001",
        "country": "US",
        "state": "NY",
        "city": "New York",
        "address_line_1": "125 Schoolhouse Road",
        "address_line_2": ""
      },
      "_id": "address-91",
      "components": [],
      "formatted": "125 Schoolhouse Road, New York, NY 10001",
      "latitude": 40.7484,
      "longitude": -73.9967,
      "tag": "home"
    }
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully",
  "data": {
    "id": 27,
    "name": "Maria Rodriguez",
    "phone": "+1-555-0142",
    "email": "maria.rodriguez@example.com",
    "addresses": [],
    "created_by": "Jordan Lee"
  }
}
```

**SDK Code**

```python Bussing drivers_createBussingDriver_example
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/driver/create"

payload = {
    "name": "Maria Rodriguez",
    "phone": "+1-555-0142",
    "email": "maria.rodriguez@example.com",
    "address": [
        {
            "splitted": {
                "zip": "10001",
                "country": "US",
                "state": "NY",
                "city": "New York",
                "address_line_1": "125 Schoolhouse Road",
                "address_line_2": ""
            },
            "_id": "address-91",
            "components": [],
            "formatted": "125 Schoolhouse Road, New York, NY 10001",
            "latitude": 40.7484,
            "longitude": -73.9967,
            "tag": "home"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Bussing drivers_createBussingDriver_example
const url = 'https://ssuccessv2.com/app/api/v1/bussing/driver/create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Maria Rodriguez","phone":"+1-555-0142","email":"maria.rodriguez@example.com","address":[{"splitted":{"zip":"10001","country":"US","state":"NY","city":"New York","address_line_1":"125 Schoolhouse Road","address_line_2":""},"_id":"address-91","components":[],"formatted":"125 Schoolhouse Road, New York, NY 10001","latitude":40.7484,"longitude":-73.9967,"tag":"home"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Bussing drivers_createBussingDriver_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/driver/create"

	payload := strings.NewReader("{\n  \"name\": \"Maria Rodriguez\",\n  \"phone\": \"+1-555-0142\",\n  \"email\": \"maria.rodriguez@example.com\",\n  \"address\": [\n    {\n      \"splitted\": {\n        \"zip\": \"10001\",\n        \"country\": \"US\",\n        \"state\": \"NY\",\n        \"city\": \"New York\",\n        \"address_line_1\": \"125 Schoolhouse Road\",\n        \"address_line_2\": \"\"\n      },\n      \"_id\": \"address-91\",\n      \"components\": [],\n      \"formatted\": \"125 Schoolhouse Road, New York, NY 10001\",\n      \"latitude\": 40.7484,\n      \"longitude\": -73.9967,\n      \"tag\": \"home\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Bussing drivers_createBussingDriver_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/driver/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Maria Rodriguez\",\n  \"phone\": \"+1-555-0142\",\n  \"email\": \"maria.rodriguez@example.com\",\n  \"address\": [\n    {\n      \"splitted\": {\n        \"zip\": \"10001\",\n        \"country\": \"US\",\n        \"state\": \"NY\",\n        \"city\": \"New York\",\n        \"address_line_1\": \"125 Schoolhouse Road\",\n        \"address_line_2\": \"\"\n      },\n      \"_id\": \"address-91\",\n      \"components\": [],\n      \"formatted\": \"125 Schoolhouse Road, New York, NY 10001\",\n      \"latitude\": 40.7484,\n      \"longitude\": -73.9967,\n      \"tag\": \"home\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Bussing drivers_createBussingDriver_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/bussing/driver/create")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Maria Rodriguez\",\n  \"phone\": \"+1-555-0142\",\n  \"email\": \"maria.rodriguez@example.com\",\n  \"address\": [\n    {\n      \"splitted\": {\n        \"zip\": \"10001\",\n        \"country\": \"US\",\n        \"state\": \"NY\",\n        \"city\": \"New York\",\n        \"address_line_1\": \"125 Schoolhouse Road\",\n        \"address_line_2\": \"\"\n      },\n      \"_id\": \"address-91\",\n      \"components\": [],\n      \"formatted\": \"125 Schoolhouse Road, New York, NY 10001\",\n      \"latitude\": 40.7484,\n      \"longitude\": -73.9967,\n      \"tag\": \"home\"\n    }\n  ]\n}")
  .asString();
```

```php Bussing drivers_createBussingDriver_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/bussing/driver/create', [
  'body' => '{
  "name": "Maria Rodriguez",
  "phone": "+1-555-0142",
  "email": "maria.rodriguez@example.com",
  "address": [
    {
      "splitted": {
        "zip": "10001",
        "country": "US",
        "state": "NY",
        "city": "New York",
        "address_line_1": "125 Schoolhouse Road",
        "address_line_2": ""
      },
      "_id": "address-91",
      "components": [],
      "formatted": "125 Schoolhouse Road, New York, NY 10001",
      "latitude": 40.7484,
      "longitude": -73.9967,
      "tag": "home"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Bussing drivers_createBussingDriver_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/driver/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Maria Rodriguez\",\n  \"phone\": \"+1-555-0142\",\n  \"email\": \"maria.rodriguez@example.com\",\n  \"address\": [\n    {\n      \"splitted\": {\n        \"zip\": \"10001\",\n        \"country\": \"US\",\n        \"state\": \"NY\",\n        \"city\": \"New York\",\n        \"address_line_1\": \"125 Schoolhouse Road\",\n        \"address_line_2\": \"\"\n      },\n      \"_id\": \"address-91\",\n      \"components\": [],\n      \"formatted\": \"125 Schoolhouse Road, New York, NY 10001\",\n      \"latitude\": 40.7484,\n      \"longitude\": -73.9967,\n      \"tag\": \"home\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Bussing drivers_createBussingDriver_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Maria Rodriguez",
  "phone": "+1-555-0142",
  "email": "maria.rodriguez@example.com",
  "address": [
    [
      "splitted": [
        "zip": "10001",
        "country": "US",
        "state": "NY",
        "city": "New York",
        "address_line_1": "125 Schoolhouse Road",
        "address_line_2": ""
      ],
      "_id": "address-91",
      "components": [],
      "formatted": "125 Schoolhouse Road, New York, NY 10001",
      "latitude": 40.7484,
      "longitude": -73.9967,
      "tag": "home"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/driver/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```